#
# spec file for package python-bottle
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-bottle
Version:        0.12.7
Release:        7.5
Url:            http://bottlepy.org/
Summary:        Fast and simple WSGI-framework for small web-applications
License:        MIT
Group:          Development/Languages/Python
Source:         http://pypi.python.org/packages/source/b/bottle/bottle-%{version}.tar.gz
Source1:        bottle-docs.pdf
BuildRequires:  python-base
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
Bottle is a fast and simple micro-framework for small web-applications. It 
offers request dispatching (Routes) with url parameter support, Templates, a
built-in HTTP Server and adapters for many third party WSGI/HTTP-server and
template engines. All in a single file and with no dependencies other than the
Python Standard Library.

%prep
%setup -q -n bottle-%{version}
cp %{SOURCE1} .

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc README.rst bottle-docs.pdf
%{_bindir}/bottle.py
%{python_sitelib}/bottle.py*
%{python_sitelib}/bottle-%{version}-py%{py_ver}.egg-info

%changelog
* Tue May 20 2014 toddrme2178@gmail.com
- Update to 0.12.7
  * No upstream changelog
- Update to 0.12
  * New SimpleTemplate parser implementation
  * Support for multi-line code blocks (<%% ... %%>).
  * The keywords include and rebase are functions now
    and can accept variable template names.
  * The new BaseRequest.route() property returns the Route
    that originally matched the request.
  * Removed the BaseRequest.MAX_PARAMS limit.
    The hash collision bug in CPythons dict() implementation was
    fixed over a year ago. If you are still using Python 2.5 in
    production, consider upgrading or at least make sure that you
    get security fixed from your distributor.
  * New ConfigDict API (see Configuration (DRAFT))
* Tue Sep 17 2013 os-dev@jacraig.com
- Update to 0.11.6:
  * Fix content-type header in mounted apps
- Changes from 0.11.5:
  * Update HTTPResponse call when mounting apps
  * BUg fix: Some cookies are lost when using mount()
* Thu Nov 22 2012 saschpe@suse.de
- Update to version 0.11.4:
  + Upstream provides no changelog
- Changes from version 0.11:
  + Native support for Python 2.x and 3.x syntax. No need to run 2to3 anymore.
  + Support for partial downloads (Range header) in static_file().
  + The new ResourceManager interface helps locating files bundled with an
    application.
  + Added a server adapter for waitress.
  + New Bottle.merge() method to install all routes from one application
    into another.
  + New BaseRequest.app property to get the application object that
    handles a request.
  + Added FormsDict.decode() to get an all-unicode version (needed by WTForms).
  + MultiDict and subclasses are now pickle-able.
  + Response.status is a read-write property that can be assigned either a
    numeric status code or a status string with a reason phrase (200 OK). The
    return value is now a string to better match existing APIs (WebOb,
    werkzeug). To be absolutely clear, you can use the read-only properties
    BaseResponse.status_code and BaseResponse.status_line.
  + SimpleTALTemplate is now deprecating. There seems to be no demand.
* Wed Aug 15 2012 highwaystar.ru@gmail.com
- updated to 0.10.11
- python3 package added
- spec improved (files section)
* Mon Mar 12 2012 saschpe@gmx.de
- update to version 0.10.9
* Fri Sep 23 2011 saschpe@suse.de
- Update to version 0.9.6
- Removed file LICENSE, upstream now has LICENSE.txt
* Fri Nov 19 2010 cfarrell@novell.com
- Added LICENSE and bottle-docs.pdf.
- Removed dead symlink README
* Fri Nov 19 2010 cfarrell@novell.com
- Initial build
